From 974149478c1c878cdab644eefb23a17bfabe9fb4 Mon Sep 17 00:00:00 2001
From: Daniel Silverstone <dsilvers@digital-scurf.org>
Date: Sat, 5 Nov 2016 09:58:47 +0000
Subject: [PATCH 3/5] Import Debian version 23+nmu2

---
 Makefile                      |  2 +-
 debian/changelog              | 12 ++++++++++++
 doc/Makefile                  |  2 +-
 make/dh-lua.Makefile.multiple |  2 +-
 make/dh-lua.Makefile.single   |  4 ++--
 5 files changed, 17 insertions(+), 5 deletions(-)

diff --git a/Makefile b/Makefile
index a46c276..94559be 100644
--- a/Makefile
+++ b/Makefile
@@ -3,7 +3,7 @@
 
 DH_LUA_HOME=usr/share/dh-lua/
 DH_HOME=usr/share/perl5/Debian/Debhelper/
-POLICY_VERSION=$(shell dpkg-parsechangelog | grep Version | cut -d : -f 2)
+POLICY_VERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | cut -d : -f 2)
 
 all build: man/dh_lua.1 man/lua-any.1
 	$(MAKE) -C doc/
diff --git a/debian/changelog b/debian/changelog
index c63c24a..459ae3b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,15 @@
+dh-lua (23+nmu2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Sort Lua-Versions, patch by Reiner Herrmann <reiner@reiner-h.de>
+    (Closes: #826051)
+  * Sort substvar content, patch by Chris Lamb <lamby@debian.org>
+    (Closes: #835646)
+  * Tweak dpkg-parsechangelog usage to cope with changelog entries with
+    'Version' in their text.
+
+ -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 05 Nov 2016 09:58:47 +0000
+
 dh-lua (23+nmu1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff --git a/doc/Makefile b/doc/Makefile
index bcb524d..4452875 100644
--- a/doc/Makefile
+++ b/doc/Makefile
@@ -1,6 +1,6 @@
 all: html/policy.html
 
-POLICY_VERSION=$(shell cd ..;dpkg-parsechangelog | grep Version | cut -d : -f 2)
+POLICY_VERSION=$(shell cd ..;dpkg-parsechangelog | grep '^Version: ' | cut -d : -f 2)
 
 used-vars:
 	lua get_used_vars.lua 
diff --git a/make/dh-lua.Makefile.multiple b/make/dh-lua.Makefile.multiple
index 156d00e..260c8b7 100644
--- a/make/dh-lua.Makefile.multiple
+++ b/make/dh-lua.Makefile.multiple
@@ -2,7 +2,7 @@
 # License: MIT/X
 # vim: ft=make
 
-MODULES=$(wildcard debian/*dh-lua.conf)
+MODULES=$(sort $(wildcard debian/*dh-lua.conf))
 LUA_SINGLE_MAKEFILE=/usr/share/dh-lua/make/dh-lua.Makefile.single
 H=@
 
diff --git a/make/dh-lua.Makefile.single b/make/dh-lua.Makefile.single
index 603d463..fa58745 100644
--- a/make/dh-lua.Makefile.single
+++ b/make/dh-lua.Makefile.single
@@ -414,12 +414,12 @@ installcommon:
 	# debian/substvars
 	$(H)for P in $(shell $(call all_packages_with_luaVersions)); do \
 		echo Filling in debian/$$P.substvars; \
-		echo lua:Versions=`cat debian/lua_versions` | \
+		echo lua:Versions=`LC_ALL=C sort debian/lua_versions` | \
 			$(call merge_with, debian/$$P.substvars);\
 	done
 	$(H)for P in $(shell $(call all_packages_with_luaProvides)); do \
 		ACC=""; \
-		for V in `cat debian/lua_versions`; do \
+		for V in `LC_ALL=C sort debian/lua_versions`; do \
 			PV=`echo $$P | sed "s/^lua-/lua$$V-/"`; \
 			ACC="$$PV, $$ACC"; \
 		done; \
-- 
2.10.2

